% dϕS5̌vZ

hold on;

set(0,'defaultAxesFontSize',16);
set(0,'defaultTextFontSize',16);

resultall = [];

for seed=0:2

    rng(seed, 'twister');

    N = 1000000000;
    %N = 10000000;
    M = 0;
    k = 1;
    step = 1;

    count = [];
    result = [];

    for i=1:N
        x1 = rand; x2 = rand; x3 = rand; x4 = rand; x5 = rand;
        y = rand;
        if x1*x1 + x2*x2 + x3*x3 + x4*x4 + x5*x5 + y*y <= 1
            M = M+1;
        end
        if rem(i,step) == 0
            fprintf('%d\t%f\n', i, M/i);
            count = [count; i];
            result = [result; M/i];
            k = k+1;
        end
        if k == 10
            step = step * 10;
            k = 1;
        end
    end

    resultall = [resultall, result];
    %plot(log10(count), result);
end

set(0,'defaultAxesFontSize',16);
set(0,'defaultTextFontSize',16);

plot(log10(count), resultall(:,1), '-k');
plot(log10(count), resultall(:,2), '--k');
plot(log10(count), resultall(:,3), '-.k');

xlim([0 9]);
ylim([-0.025 0.225]);
xticks([0 1 2 3 4 5 6 7 8 9]);
xticklabels({'10^0', '10^1', '10^2', '10^3', '10^4', '10^5', '10^6', '10^7', '10^8', '10^9'});
yticks([0 0.05 0.10 0.15 0.20]);
yticklabels({'0.00', '0.05', '0.10', '0.15', '0.20'});

sz = size(count);
analytical = pi*pi*pi/6/(2^6) * ones(sz);
plot(log10(count), analytical, ':k');

%xlabel('iteration');
%ylabel('integral');
%legend('trial #1', 'trial #2', 'trial #3', 'analytical solution', 'Location', 'northeast');
xlabel('');
ylabel('ϕl');
legend('l #1', 'l #2', 'l #3', '͉', 'Location', 'southeast');

saveas(gcf, 'S5.eps', 'eps');

hold off;
